import { isDev } from '@/utils/tools';
import { PageContainer } from '@ant-design/pro-layout';
import React from 'react';
import styles from './index.less';

/**
 * 嵌套iframe的组件
 * @param {*} props 可在路由配置里面配置url参数
 */
const FrameContainer = props => {
  const { route } = props;
  const url = route.url || props.url;
  return (
    <PageContainer
      className={styles.container}
      style={{
        display: 'flex',
        flexDirection: 'column',
        height: 'calc(100% + 24px)',
      }}
    >
      <iframe
        title="iframe"
        src={`${
          isDev ? process.env.PROXY : window.location.origin
        }${url}`.replace('//', '/')}
      />
    </PageContainer>
  );
};

export default FrameContainer;
